Subsonic 4.1.beta1 released

Announcements and discussion of new releases.

Moderator: moderators

Postby joshpar » Thu Aug 26, 2010 5:45 am

I see the same problem as erncic on PPC 10.5.8. Tried clearing out the Application Support folder as well, but that didn't help.
Looking forward to the new features!
joshpar
 
Posts: 14
Joined: Fri Apr 02, 2010 6:36 pm
Location: Seattle, WA

What's new?

Postby aktiveradio » Sun Aug 29, 2010 12:30 am

So what is new in this version? is there a Changelog someplace that I missed?
aktiveradio
 
Posts: 26
Joined: Tue Aug 10, 2010 5:14 pm

Postby joshpar » Sun Aug 29, 2010 2:42 am

joshpar
 
Posts: 14
Joined: Fri Apr 02, 2010 6:36 pm
Location: Seattle, WA

Postby aktiveradio » Mon Aug 30, 2010 3:41 am

Perfect thanks.

Is it save to just run this install over the current version on ubuntu?
aktiveradio
 
Posts: 26
Joined: Tue Aug 10, 2010 5:14 pm

Postby sindre_mehus » Mon Aug 30, 2010 6:20 am

erncic wrote:Cannot launch 4.1 Beta 1 on PPC Mac OS 10.5.8.

Uncaught exception in main method: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'controller' defined in class path resource [applicationContext-mac.xml]: Instantiation of bean failed; nested exception is org.springframework.beans.BeanInstantiationException: Could not instantiate bean class [net.sourceforge.subsonic.booter.mac.SubsonicController]: Constructor threw exception; nested exception is java.lang.NoClassDefFoundError: java/awt/TrayIcon


Please check your Java version. Subsonic requires Java 1.6 or later.
Subsonic developer
User avatar
sindre_mehus
 
Posts: 1955
Joined: Tue Nov 29, 2005 6:19 pm
Location: Oslo, Norway

Postby joshpar » Mon Aug 30, 2010 8:35 pm

Oooh.... well, Java 1.6 doesn't run on PPC Macs... I'll look around to see if there is a way to get it on there (perhaps something via MacPorts???)
joshpar
 
Posts: 14
Joined: Fri Apr 02, 2010 6:36 pm
Location: Seattle, WA

Postby joshpar » Mon Aug 30, 2010 8:44 pm

did some quick looking around, and it looks like 10.4 machines will not run Java 1.6 at all, 10.5 64-bit intel machines will (so, Core Duos are out). 10.6 should run it fine.
joshpar
 
Posts: 14
Joined: Fri Apr 02, 2010 6:36 pm
Location: Seattle, WA

Postby stueyboy » Wed Sep 01, 2010 10:51 pm

mwgilbert wrote:Changing themes seems to have stopped working, upgraded from 4.0.1.

Tried: restarting Subsonic, clearing browser cache


I'm having similar issues with themes. Works for the admin account but not for any other users even if they have admin priviliges.

Ace package otherwise
stueyboy
 
Posts: 46
Joined: Wed Sep 01, 2010 8:58 am

Postby stueyboy » Thu Sep 02, 2010 9:28 am

stueyboy wrote:
mwgilbert wrote:Changing themes seems to have stopped working, upgraded from 4.0.1.

Tried: restarting Subsonic, clearing browser cache


I'm having similar issues with themes. Works for the admin account but not for any other users even if they have admin priviliges.

Ace package otherwise


I found a workaround for this glitch. If you go to settings>personal you can set a personal theme for each user and it applies the theme properly when you set it in there. Hope that helps.
stueyboy
 
Posts: 46
Joined: Wed Sep 01, 2010 8:58 am

Postby danbuntu » Thu Sep 02, 2010 11:32 am

I just installed in Ubuntu 10.04. I already had version 4 running, downloaded the deb and did the double click to install thing.

The interface is all up and running but when I click on play all for an album the tracks aren't added to the player. Any thoughts?
danbuntu
 
Posts: 3
Joined: Sun May 09, 2010 5:00 pm

Postby mordo » Fri Sep 03, 2010 1:09 am

Greetings.

I cannot launch 4.1 on Intel Mac OS X 10.6.4.

Sorry no other detail to report.
mordo
 
Posts: 1
Joined: Thu Sep 02, 2010 12:54 am

Postby danbuntu » Fri Sep 03, 2010 7:05 am

hmm the upgrade did actually work. What i've found though is that in a Windows 7 machine if there is no way to play sound then the tracks won't add to the playlist at all and there is no failure message.
danbuntu
 
Posts: 3
Joined: Sun May 09, 2010 5:00 pm

Java inquiry

Postby dobson » Tue Sep 07, 2010 3:36 pm

is the requirement for Java 1.6 new as of 4.1b1?

I have a PPC Mac with 10.4.11 running the standalone version of subsonic and it's working fine with Java 1.5. . . will I break it if I upgrade to 4.1b1?
dobson
 
Posts: 46
Joined: Tue Apr 14, 2009 10:10 pm

Postby joshpar » Tue Sep 07, 2010 4:06 pm

yes
joshpar
 
Posts: 14
Joined: Fri Apr 02, 2010 6:36 pm
Location: Seattle, WA

Postby dobson » Wed Sep 08, 2010 5:19 pm

bummer :cry:
dobson
 
Posts: 46
Joined: Tue Apr 14, 2009 10:10 pm

PreviousNext

Return to Announcements

Who is online

Users browsing this forum: No registered users and 2 guests